Name:           gobby
Version:        0.4.1
Release:        1%{?dist}
Summary:        Free collaborative editor

Group:          Applications/Internet
License:        GPL
URL:            http://gobby.0x539.de
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml++-devel, gtksourceview-devel, gtkmm24-devel, obby-devel
BuildRequires:  desktop-file-utils, libXau-devel, libXdmcp-devel
BuildRequires:  gnome-vfs2-devel, gettext-devel

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network. It
supports multiple documents in one session and a multi-user chat. The platforms
on which you could use Gobby are so far Microsoft Windows, Linux, Mac OS X and
other Unix-like ones. Developed with the Gtk+ toolkit it integrates nicely into
the GNOME desktop environment if you want it to.


%prep
%setup -q


%build
%configure --with-gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gobby.desktop

%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_bindir}/gobby
%{_datadir}/applications/fedora-gobby.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


%changelog
* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1
- Add gnome-vfs2-devel to BuildRequires
- Add manpage

* Tue Jun 27 2006 Luke Macken <lmacken@redhat.com> - 0.3.1-2
- Rebuild

* Tue May 30 2006 Luke Macken <lmacken@redhat.com> - 0.3.1-1
- 0.3.1 bugfix release

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-4
- Rebuild for Fedora Extras 5

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Add libXdmcp-devel to BuildRequires

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Add libXau-devel to BuildRequires

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Bump to 0.3.0rc3

* Wed Oct 12 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-6
- Update Summary

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-5
- Use desktop-file-install to install the desktop file

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-4
- Add desktop-file-utils to Requires(post/postun) and remove howl-devel BR

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-3
- Build with gnome support
- Remove unnecessary BuildRequires

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-2
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Packaged for Fedora Extras
